// creator  : weidu.exe (version 23600)
// argument : MALKAL.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~MALKAL~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #2471 /* ~Release! Release! Return to body to finish life! Must revenge!~ */
  IF ~~ THEN EXIT
END

IF ~  NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from: 2.1
  SAY #2472 /* ~Help to me... body inside... just a shade I... inside body... I live again! Revenge the destroyers!~ */
  IF ~~ THEN REPLY #2474 /* ~Poor creature, who were you in life?~ */ GOTO 2
  IF ~~ THEN REPLY #2475 /* ~Back you undead horror! Back, lest you wish to die again!~ */ GOTO 4
  IF ~~ THEN REPLY #2476 /* ~Is there no rest for you spirit? What holds you to this place?~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 3.0 2.0 1.0
  SAY #2473 /* ~Mal-Kalen I... student I... revenge destroyers... release the body!~ */
  IF ~~ THEN REPLY #2501 /* ~Poor creature, who were you in life?~ */ GOTO 2
  IF ~~ THEN REPLY #2502 /* ~Back you undead horror! Back, lest you wish to die again!~ */ GOTO 1
  IF ~~ THEN REPLY #2503 /* ~Is there no rest for you spirit? What holds you to this place?~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 3.2 2.2 1.2
  SAY #2477 /* ~School destroyed by treachery... Ulcaster gone... protect they said... must revenge!~ */
  IF ~~ THEN REPLY #2504 /* ~Poor creature, who were you in life?~ */ GOTO 2
  IF ~~ THEN REPLY #2505 /* ~Back, you undead horror! Back, lest you wish to die again!~ */ GOTO 4
  IF ~~ THEN REPLY #2506 /* ~Is there no rest for you spirit? What holds you to this place?~ */ GOTO 3
END

IF ~  False()
~ THEN BEGIN 4 // from: 3.1 1.1
  SAY #2478 /* ~Now the body inside... no escape for body... release body so I live! Revenge the destroyers!~ */
  IF ~~ THEN REPLY #2481 /* ~I beseech you, cease your attack! I am not your enemy!~ */ GOTO 5
  IF ~~ THEN REPLY #2482 /* ~Leave me be! I want no part of your ancient anger!~ */ GOTO 6
  IF ~~ THEN REPLY #2483 /* ~You thought you were dead before? Just wait until I'm through with you!~ */ GOTO 10
END

IF ~~ THEN BEGIN 5 // from: 10.0 5.0 4.0
  SAY #2479 /* ~You not enemy... you the body... release body so I live! Revenge the destroyers!~ */
  IF ~~ THEN REPLY #2484 /* ~I beseech you, cease your attack! I am not your enemy!~ */ GOTO 5
  IF ~~ THEN REPLY #2485 /* ~Leave me be! I want no part of your ancient anger!~ */ GOTO 6
  IF ~~ THEN REPLY #2486 /* ~You thought you were dead before? Just wait until I'm through with you!~ */ GOTO 10
END

IF ~~ THEN BEGIN 6 // from: 10.1 5.1 4.1
  SAY #2480 /* ~Has been but a tenday... must revenge the destroyers! Release body!~ */
  IF ~~ THEN REPLY #2487 /* ~It has been three hundred years! Time has already taken your quarry!~ */ GOTO 8
  IF ~~ THEN REPLY #2488 /* ~The battle has been forgotten by all! Stop your pointless quest!~ */ GOTO 7
  IF ~~ THEN REPLY #2489 /* ~I'm releasing my body right out of this place! See ya!~ */ EXIT
  IF ~~ THEN REPLY #2490 /* ~"Release the body, release the body!" I'll release your head from your neck!~ */ GOTO 13
END

IF ~~ THEN BEGIN 7 // from: 13.1 7.1 6.1
  SAY #2491 /* ~Not forgotten by me... but a tenday... release the body!~ */
  IF ~~ THEN REPLY #2492 /* ~It has been three hundred years! Time has already taken your quarry!~ */ GOTO 8
  IF ~~ THEN REPLY #2493 /* ~The battle has been forgotten by all! Stop your pointless quest!~ */ GOTO 7
  IF ~~ THEN REPLY #2494 /* ~I'm releasing my body right out of this place! See ya!~ */ EXIT
  IF ~~ THEN REPLY #2495 /* ~"Release the body, release the body!" I'll release your head from your neck!~ */ GOTO 13
END

IF ~~ THEN BEGIN 8 // from: 13.0 7.0 6.0
  SAY #2496 /* ~Three hundred years... it cannot be... three hundred... dead all must be...~ */
  IF ~~ THEN DO ~SetGlobal("MalWaits","GLOBAL",1)
Wait(10)
~ EXIT
END

IF ~  Global("MalWaits","GLOBAL",1)
~ THEN BEGIN 9 // from:
  SAY #2497 /* ~All dead... I remain... will exact penance from descendants... revenge the destroyers! Release the body!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 10.2 5.2 4.2
  SAY #2498 /* ~Fight or no... release the body... RELEASE!~ */
  IF ~~ THEN REPLY #2508 /* ~I beseech you, cease your attack! I am not your enemy!~ */ GOTO 5
  IF ~~ THEN REPLY #2509 /* ~Leave me be! I want no part of your ancient anger!~ */ GOTO 6
  IF ~~ THEN REPLY #2510 /* ~You thought you were dead before? Just wait until I'm through with you!~ */ GOTO 10
END

IF ~~ THEN BEGIN 11 // from:
  SAY #2499 /* ~I live again... revenge the destroyers.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #2500 /* ~Noooo...! Revenge the destroyers... revenge...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from: 13.3 7.3 6.3
  SAY #2507 /* ~Fight or no, release the body... RELEASE!~ */
  IF ~~ THEN REPLY #2511 /* ~It has been three hundred years! Time has already taken your quarry!~ */ GOTO 8
  IF ~~ THEN REPLY #2512 /* ~The battle has been forgotten by all! Stop your pointless quest!~ */ GOTO 7
  IF ~~ THEN REPLY #2513 /* ~I'm releasing my body right out of this place! See ya!~ */ EXIT
  IF ~~ THEN REPLY #2514 /* ~"Release the body, release the body!" I'll release your head from your neck!~ */ GOTO 13
END
